LSH-DECRYPT-KEY(1)

NAME
lsh-decrypt-key - Decrypts the given key and outputs it in unecrypted form.

SYNOPSIS
lsh-decrypt-key [OPTION...]

DESCRIPTION
CAUTION! The information in this manpage may be invalid or outdated. For authorative information on lsh, please see it's Texinfo manual (see the SEE ALSO section).

The given key (supplied on stdin or in the file given with the --in option) and it's passphrase is read. The key is decrypted and written to stdout (or the file supplied by the --out option).

This program is usually invoked by the lsh-upgrade-key script.

OPTIONS

--askpass=Program
    Program to use for reading passwords. Should be an absolute filename.

--in=encrypted key filename
    (defaults to stdin)

--out=decrypted key filename
    (defaults to stdout)

--debug
    Print huge amounts of debug information

--log-file=File name
    Append messages to this file.

-q, --quiet
    Suppress all warnings and diagnostic messages

--trace
    Detailed trace

-v, --verbose
    Verbose diagnostic messages

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

DIAGNOSTICS
See the --verbose , --trace and --debug options.

REPORTING BUGS
Report bugs to <bug-lsh@gnu.org>.

COPYING
The lsh suite of programs is distributed under the GNU General Public License; see the COPYING and AUTHORS files in the source distribution for details.

AUTHOR
The lsh program suite is written mainly by Niels Möller <nisse@lysator.liu.se>.

This man-page was written for lsh 2.0 by Pontus Freyhult <pont_lsh@soua.net>, it is based on a template written by J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>.

SEE ALSO
DSA(5), lsh(1), lsh-authorize(1), lsh-decode-key(1), lsh-export-key(1), lsh-keygen(1), lsh-make-seed(1), lsh-upgrade(1), lsh-upgrade-key(1), lsh-writekey(1), lshd(8), secsh(5), SHA(5), SPKI(5), ssh-conv(1)

The full documentation for lsh is maintained as a Texinfo manual. If the info and lsh programs are properly installed at your site, the command

    info lsh

should give you access to the complete manual.